Bug 666854 - libical - buffer overflow
libical - buffer overflow
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libical (Show other bugs)
6.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Patch
Depends On:
Blocks: 645519
  Show dependency treegraph
 
Reported: 2011-01-03 07:54 EST by ritz
Modified: 2016-01-01 06:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch based on upstream code (2.94 KB, patch)
2011-01-03 07:54 EST, ritz
no flags Details | Diff

  None (edit)
Description ritz 2011-01-03 07:54:36 EST
Created attachment 471478 [details]
patch based on upstream code

Description of problem:
buffer overflow

Additional info:
commit 64ca7f17bb63f2785997df4f440e24636c5cf9c1
Author: kecsup <kecsup@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Wed Feb 18 09:12:24 2009 +0000

    Ugly fix to avoid to write over the buffer
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@920 b29e25b1-4845-0410-9c6e-9608a45a5811

commit b2d45930d008361301a5447a6190900ffa54bf5d
Author: kecsup <kecsup@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Wed Feb 18 09:15:06 2009 +0000

    Other fixes to avoid overrun the buffer

commit 68eb70fff1c1bcd4bc7c6b8ec81d14f4adda9922
Author: kecsup <kecsup@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Wed Feb 18 09:19:27 2009 +0000

    On other fix to avoid buffer overflow attack
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@922 b29e25b1-4845-0410-9c6e-9608a45a5811


commit 9f3b4f26d2835607cfcbe442b03b499137119011
Author: kecsup <kecsup@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Wed Feb 18 09:23:37 2009 +0000

    Fix to avoid overrun the buffer
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@923 b29e25b1-4845-0410-9c6e-9608a45a5811
Comment 1 RHEL Product and Program Management 2011-01-07 10:48:29 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.